<template>
  <div class="page">
    <LayoutTable :data="tableData" :config="tableConfig"> </LayoutTable>

    <dialog-show ref="dialogform" @ok="getData" />
  </div>
</template>

<script>
/** 表单弹出框模式需引入 */

import dialogShow from "./dialogshow";
import table from "@/assets/mixins/table";
export default {
  name: "DeviceAlarmList",
  components: {
    dialogShow,
  },
  mixins: [table],
  created() {},
  methods: {
    /** 重写新增方法 */
    toAdd(row) {
      this.$refs.dialogform.add(row);
    },
    /** 重写编辑方法 */
    toEdit(row) {
      this.$refs.dialogform.edit(row);
    },
    /** 重写查看方法 */
    toView(row) {
      this.$refs.dialogform.view(row);
    },
  },
  data() {
    return {
      config: {
        search: [


          {
            name: "deviceType",
            type: "select",
            label: "设备类型",
          },],
        columns: [
          { type: "selection", width: 60 },
          { type: "index", label: "序号", width: 50 },

          { label: "站点名称", prop: "siteName" },
          { label: "站点编码", prop: "siteNum" },
          { label: "设备编码", prop: "deviceCode" },

          { label: "设备类型", prop: "deviceType" },

          { label: "告警类型", prop: "alarmType", formatter:this.formatter },

          { label: "告警级别", prop: "alarmLevel", formatter:this.formatter },

          { label: "告警详细内容", prop: "alarmContent" },

          {
            label: "告警时间",
            prop: "alarmTime",
            formatter: this.formatterDate,
          },
        
        ],
      },
    };
  },
};
</script>